You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Bruce S. <bl...@us...> - 2008-04-18 12:47:10
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6762/config/etc/sysconfig Modified Files: permissions.base Log Message: Fixed setting file permissions on boot to not confict with aufs. Index: permissions.base =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/permissions.base,v retrieving revision 1.16 retrieving revision 1.17 diff -u -d -r1.16 -r1.17 --- permissions.base 8 Oct 2003 00:18:32 -0000 1.16 +++ permissions.base 18 Apr 2008 12:47:06 -0000 1.17 @@ -9,27 +9,27 @@ # root directory -/ root.root 755 -/root root.root 700 -/tmp root.root 1777 -/dev root.root 755 -/bin root.root 755 -/sbin root.root 755 -/lib root.root 755 -/etc root.root 755 -/home root.root 755 -/boot root.root 755 -/usr root.root 755 +#/ root.root 755 +#/root root.root 700 +#/tmp root.root 1777 +#/dev root.root 755 +#/bin root.root 755 +#/sbin root.root 755 +#/lib root.root 755 +#/etc root.root 755 +#/home root.root 755 +#/boot root.root 755 +#/usr root.root 755 /var/run root.root 777 /etc/grsec root.root 700 /etc/grsec/* root.root 600 -/etc/sysconfig root.root 700 -/etc/sysconfig/* root.root 600 -/etc/sysconfig/nic root.root 700 -/etc/sysconfig/nic/* root.root 600 +#/etc/sysconfig root.root 700 +#/etc/sysconfig/* root.root 600 +#/etc/sysconfig/nic root.root 700 +#/etc/sysconfig/nic/* root.root 600 /etc/init.d root.root 700 /etc/init.d/* root.root 700 @@ -56,8 +56,8 @@ /etc/hosts root.root 644 /etc/fstab root.root 600 /etc/inittab root.root 600 -/etc/issue root.root 600 -/etc/issue.net root.root 600 +#/etc/issue root.root 600 +#/etc/issue.net root.root 600 /etc/ld.so.conf root.root 644 /etc/ld.so.cache root.root 644 /etc/login.defs root.root 600 @@ -80,28 +80,28 @@ #/etc/inetd.conf root.root 600 # Postfix -/etc/postfix root.root 755 -/etc/postfix/* root.root 644 -/etc/postfix/postfix-script root.root 755 +#/etc/postfix root.root 755 +#/etc/postfix/* root.root 644 +#/etc/postfix/postfix-script root.root 755 # programs which have to run as super user -/bin/mount root.root 4550 -/bin/umount root.root 4550 -/bin/su root.root 4555 -/sbin/gradm root.root 0500 -/usr/bin/crontab root.root 4750 -/usr/bin/gpasswd root.root 4750 -/usr/bin/newgrp root.root 4755 -/usr/bin/passwd root.root 4755 -/usr/bin/chfn root.root 4755 -/usr/bin/chage root.root 4755 -/usr/bin/chsh root.root 4755 -/usr/bin/expiry root.root 4755 +#/bin/mount root.root 4550 +#/bin/umount root.root 4550 +#/bin/su root.root 4555 +#/sbin/gradm root.root 0500 +#/usr/bin/crontab root.root 4750 +#/usr/bin/gpasswd root.root 4750 +#/usr/bin/newgrp root.root 4755 +#/usr/bin/passwd root.root 4755 +#/usr/bin/chfn root.root 4755 +#/usr/bin/chage root.root 4755 +#/usr/bin/chsh root.root 4755 +#/usr/bin/expiry root.root 4755 -/bin/ping root.root 4750 -/usr/sbin/traceroute root.root 4750 -/usr/bin/ssh root.root 0750 -/usr/sbin/brctl root.root 0700 +#/bin/ping root.root 4750 +#/usr/sbin/traceroute root.root 4750 +#/usr/bin/ssh root.root 0750 +#/usr/sbin/brctl root.root 0700 -/var/log root.root 0777 +#/var/log root.root 0777 |
|
From: Bruce S. <bl...@us...> - 2008-04-18 12:47:10
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6762/scripts/scripts Modified Files: pre_init upgrade-config Log Message: Fixed setting file permissions on boot to not confict with aufs. Index: pre_init =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/pre_init,v retrieving revision 1.29 retrieving revision 1.30 diff -u -d -r1.29 -r1.30 --- pre_init 16 Apr 2008 13:19:16 -0000 1.29 +++ pre_init 18 Apr 2008 12:47:07 -0000 1.30 @@ -84,7 +84,6 @@ if ! cmp -s /shm/etc/Devil-release /etc-cd/Devil-release then - cp -f /etc-cd/issue* /etc RV1="$(cat /shm/etc/Devil-release | sed 's/Devil-Linux //')" RV2="$(cat /etc-cd/Devil-release | sed 's/Devil-Linux //')" echo @@ -99,6 +98,7 @@ echo "Your cdrom is version: $RV2" $NORMAL echo + cp -f /etc-cd/{Devil-release,issue,issue.net} /shm/etc/ bs="n" read -n 1 -t 300 -p 'Press any key to upgrade, or "n" to skip. (timeout in 5 minutes)' bs echo Index: upgrade-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/upgrade-config,v retrieving revision 1.32 retrieving revision 1.33 diff -u -d -r1.32 -r1.33 --- upgrade-config 16 Apr 2008 13:19:16 -0000 1.32 +++ upgrade-config 18 Apr 2008 12:47:07 -0000 1.33 @@ -224,7 +224,6 @@ fi done fi - cp -f /etc-cd/{Devil-release,issue,issue.net} /shm/etc/ # echo >> $LOGF # echo "Symlinks preserved from old config:" >> $LOGF |
|
From: Serge L. <sma...@us...> - 2008-04-17 12:25:19
|
Update of /cvsroot/devil-linux/build/scripts/config In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv26801/scripts/config Modified Files: config_busybox Log Message: - oops. Index: config_busybox =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/config_busybox,v retrieving revision 1.33 retrieving revision 1.34 diff -u -d -r1.33 -r1.34 --- config_busybox 17 Apr 2008 12:22:32 -0000 1.33 +++ config_busybox 17 Apr 2008 12:25:12 -0000 1.34 @@ -580,7 +580,7 @@ # CONFIG_FEATURE_IFCONFIG_HW is not set # CONFIG_FEATURE_IFCONFIG_BROADCAST_PLUS is not set # CONFIG_IFUPDOWN is not set -CONFIG_IFUPDOWN_IFSTATE_PATH="" +CONFIG_IFUPDOWN_IFSTATE_PATH="/var/run/ifstate" # CONFIG_FEATURE_IFUPDOWN_IP is not set # CONFIG_FEATURE_IFUPDOWN_IP_BUILTIN is not set # CONFIG_FEATURE_IFUPDOWN_IFCONFIG_BUILTIN is not set |
|
From: Serge L. <sma...@us...> - 2008-04-17 12:22:39
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv25637 Modified Files: CHANGES md5sum.lst Log Message: - updated busybox to fix mdev hardware detection Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1197 retrieving revision 1.1198 diff -u -d -r1.1197 -r1.1198 --- CHANGES 16 Apr 2008 20:19:35 -0000 1.1197 +++ CHANGES 17 Apr 2008 12:22:32 -0000 1.1198 @@ -22,6 +22,7 @@ # 1.3.5 +- updated busybox to 1.9.2 (sl) - fixed gpm - was not installing on CD. (bs) - /etc is now mounted as aufs [Another UnionFS] (bs) o) only modified /etc files exist in ramdisk Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.429 retrieving revision 1.430 diff -u -d -r1.429 -r1.430 --- md5sum.lst 15 Apr 2008 14:58:59 -0000 1.429 +++ md5sum.lst 17 Apr 2008 12:22:32 -0000 1.430 @@ -125,7 +125,7 @@ 023a5e6a436f86a28baeec91e4c62736 src/bluez-utils-3.9.tar.gz 00b1eee7f98b68fa762c4efb3b34caa1 src/bonnie++-1.03a.tgz 43bbd2a67b59cac3e15d545f8b51df68 src/bridge-utils-1.1.tar.gz -c91ec9756e2000073a9dd8fa9fc3f89e src/busybox-1.7.2.tar.bz2 +7e26c56012dd5811251c2f87786b9a77 src/busybox-1.9.2.tar.bz2 3c15a0c8d1d3ee1c46a1634d00617b1a src/bzip2-1.0.5.tar.gz ffd824f13f99011984399fc3b7526c71 src/camsource-0.7.0.tar.bz2 ac3244b90403e3cb43ff168396a865e5 src/cdrtools-2.01.01a27.tar.bz2 |
|
From: Serge L. <sma...@us...> - 2008-04-17 12:22:39
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv25637/scripts Modified Files: busybox Log Message: - updated busybox to fix mdev hardware detection Index: busybox =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/busybox,v retrieving revision 1.33 retrieving revision 1.34 diff -u -d -r1.33 -r1.34 --- busybox 24 Oct 2007 12:27:16 -0000 1.33 +++ busybox 17 Apr 2008 12:22:32 -0000 1.34 @@ -28,7 +28,7 @@ #export PATH=$(ls -d /usr/*-linux-uclibc/usr/bin):$(ls -d /usr/*-linux-uclibc/lib):$PATH cp $MYDIR/config/config_busybox .config #CROSS=$(ls -d /usr/*-linux-uclibc/bin)/i386-uclibc- - replace_str Makefile "-Wl,--gc-sections" "" + replace_str scripts/trylink "-Wl,--gc-sections" "" replace_str applets/applets.c "#if ENABLE_STATIC && defined(__GLIBC__) && !defined(__UCLIBC__)" "#if defined(GET_RID_OF_THIS_WARNING)" make oldconfig || exit 1 #replace_str Makefile "-Wl,--gc-sections" "" |
|
From: Serge L. <sma...@us...> - 2008-04-17 12:22:38
|
Update of /cvsroot/devil-linux/build/scripts/config In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv25637/scripts/config Modified Files: config_busybox Log Message: - updated busybox to fix mdev hardware detection Index: config_busybox =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/config_busybox,v retrieving revision 1.32 retrieving revision 1.33 diff -u -d -r1.32 -r1.33 --- config_busybox 24 Oct 2007 12:27:16 -0000 1.32 +++ config_busybox 17 Apr 2008 12:22:32 -0000 1.33 @@ -1,7 +1,7 @@ # # Automatically generated make config: don't edit -# Busybox version: 1.7.2 -# Tue Oct 23 19:39:05 2007 +# Busybox version: 1.9.2 +# Wed Apr 16 05:25:36 2008 # CONFIG_HAVE_DOT_CONFIG=y @@ -40,10 +40,9 @@ # CONFIG_STATIC=y # CONFIG_BUILD_LIBBUSYBOX is not set -# CONFIG_FEATURE_FULL_LIBBUSYBOX is not set +# CONFIG_FEATURE_INDIVIDUAL is not set # CONFIG_FEATURE_SHARED_BUSYBOX is not set # CONFIG_LFS is not set -# CONFIG_BUILD_AT_ONCE is not set # # Debugging Options @@ -61,7 +60,11 @@ # CONFIG_INSTALL_NO_USR is not set # CONFIG_INSTALL_APPLET_SYMLINKS is not set # CONFIG_INSTALL_APPLET_HARDLINKS is not set +# CONFIG_INSTALL_APPLET_SCRIPT_WRAPPERS is not set CONFIG_INSTALL_APPLET_DONT=y +# CONFIG_INSTALL_SH_APPLET_SYMLINK is not set +# CONFIG_INSTALL_SH_APPLET_HARDLINK is not set +# CONFIG_INSTALL_SH_APPLET_SCRIPT_WRAPPER is not set CONFIG_PREFIX="./_install" # @@ -80,6 +83,7 @@ CONFIG_FEATURE_TAB_COMPLETION=y # CONFIG_FEATURE_USERNAME_COMPLETION is not set # CONFIG_FEATURE_EDITING_FANCY_PROMPT is not set +CONFIG_FEATURE_COPYBUF_KB=4 CONFIG_MONOTONIC_SYSCALL=y CONFIG_IOCTL_HEX2STR_ERROR=y @@ -93,6 +97,7 @@ # CONFIG_AR is not set # CONFIG_FEATURE_AR_LONG_FILENAMES is not set CONFIG_BUNZIP2=y +CONFIG_BZIP2=y CONFIG_CPIO=y # CONFIG_DPKG is not set # CONFIG_DPKG_DEB is not set @@ -148,6 +153,7 @@ CONFIG_FEATURE_DD_SIGNAL_HANDLING=y CONFIG_FEATURE_DD_IBS_OBS=y CONFIG_DF=y +# CONFIG_FEATURE_DF_INODE is not set CONFIG_DIRNAME=y CONFIG_DOS2UNIX=y CONFIG_UNIX2DOS=y @@ -264,6 +270,7 @@ CONFIG_CLEAR=y # CONFIG_DEALLOCVT is not set # CONFIG_DUMPKMAP is not set +# CONFIG_KBD_MODE is not set # CONFIG_LOADFONT is not set # CONFIG_LOADKMAP is not set # CONFIG_OPENVT is not set @@ -303,6 +310,7 @@ CONFIG_SED=y CONFIG_VI=y CONFIG_FEATURE_VI_MAX_LEN=1024 +CONFIG_FEATURE_VI_8BIT=y CONFIG_FEATURE_VI_COLON=y CONFIG_FEATURE_VI_YANKMARK=y CONFIG_FEATURE_VI_SEARCH=y @@ -449,6 +457,8 @@ # CONFIG_FEATURE_MINIX2 is not set CONFIG_GETOPT=y # CONFIG_HEXDUMP is not set +# CONFIG_HD is not set +# CONFIG_FEATURE_HEXDUMP_REVERSE is not set CONFIG_HWCLOCK=y CONFIG_FEATURE_HWCLOCK_LONG_OPTIONS=y CONFIG_FEATURE_HWCLOCK_ADJTIME_FHS=y @@ -464,6 +474,7 @@ CONFIG_MORE=y CONFIG_FEATURE_USE_TERMIOS=y CONFIG_MOUNT=y +CONFIG_FEATURE_MOUNT_HELPERS=y # CONFIG_FEATURE_MOUNT_NFS is not set CONFIG_FEATURE_MOUNT_CIFS=y CONFIG_FEATURE_MOUNT_FLAGS=y @@ -518,6 +529,7 @@ # CONFIG_MAKEDEVS is not set # CONFIG_FEATURE_MAKEDEVS_LEAF is not set # CONFIG_FEATURE_MAKEDEVS_TABLE is not set +# CONFIG_MICROCOM is not set # CONFIG_MOUNTPOINT is not set # CONFIG_MT is not set CONFIG_RAIDAUTORUN=y @@ -536,6 +548,7 @@ # Networking Utilities # # CONFIG_FEATURE_IPV6 is not set +# CONFIG_FEATURE_PREFER_IPV4_ADDRESS is not set # CONFIG_VERBOSE_RESOLUTION_ERRORS is not set # CONFIG_ARP is not set # CONFIG_ARPING is not set @@ -547,6 +560,7 @@ # CONFIG_FEATURE_FTPGETPUT_LONG_OPTIONS is not set # CONFIG_HOSTNAME is not set # CONFIG_HTTPD is not set +# CONFIG_FEATURE_HTTPD_RANGES is not set # CONFIG_FEATURE_HTTPD_USE_SENDFILE is not set # CONFIG_FEATURE_HTTPD_RELOAD_CONFIG_SIGHUP is not set # CONFIG_FEATURE_HTTPD_SETUID is not set @@ -558,6 +572,7 @@ # CONFIG_FEATURE_HTTPD_SET_REMOTE_PORT_TO_ENV is not set # CONFIG_FEATURE_HTTPD_ENCODE_URL_STR is not set # CONFIG_FEATURE_HTTPD_ERROR_PAGES is not set +# CONFIG_FEATURE_HTTPD_PROXY is not set # CONFIG_IFCONFIG is not set # CONFIG_FEATURE_IFCONFIG_STATUS is not set # CONFIG_FEATURE_IFCONFIG_SLIP is not set @@ -565,7 +580,7 @@ # CONFIG_FEATURE_IFCONFIG_HW is not set # CONFIG_FEATURE_IFCONFIG_BROADCAST_PLUS is not set # CONFIG_IFUPDOWN is not set -CONFIG_IFUPDOWN_IFSTATE_PATH="/var/run/ifstate" +CONFIG_IFUPDOWN_IFSTATE_PATH="" # CONFIG_FEATURE_IFUPDOWN_IP is not set # CONFIG_FEATURE_IFUPDOWN_IP_BUILTIN is not set # CONFIG_FEATURE_IFUPDOWN_IFCONFIG_BUILTIN is not set @@ -587,6 +602,7 @@ # CONFIG_FEATURE_IP_TUNNEL is not set # CONFIG_FEATURE_IP_RULE is not set # CONFIG_FEATURE_IP_SHORT_FORMS is not set +# CONFIG_FEATURE_IP_RARE_PROTOCOLS is not set # CONFIG_IPADDR is not set # CONFIG_IPLINK is not set # CONFIG_IPROUTE is not set @@ -596,6 +612,7 @@ # CONFIG_FEATURE_IPCALC_FANCY is not set # CONFIG_FEATURE_IPCALC_LONG_OPTIONS is not set # CONFIG_NAMEIF is not set +# CONFIG_FEATURE_NAMEIF_EXTENDED is not set # CONFIG_NC is not set # CONFIG_NC_SERVER is not set # CONFIG_NC_EXTRA is not set @@ -627,8 +644,10 @@ # CONFIG_APP_DUMPLEASES is not set # CONFIG_FEATURE_UDHCPD_WRITE_LEASES_EARLY is not set # CONFIG_APP_UDHCPC is not set +# CONFIG_FEATURE_UDHCPC_ARPING is not set # CONFIG_FEATURE_UDHCP_DEBUG is not set # CONFIG_FEATURE_RFC3397 is not set +CONFIG_UDHCPC_SLACK_FOR_BUGGY_SERVERS= # CONFIG_VCONFIG is not set # CONFIG_WGET is not set # CONFIG_FEATURE_WGET_STATUSBAR is not set @@ -645,9 +664,11 @@ CONFIG_KILLALL=y # CONFIG_KILLALL5 is not set # CONFIG_NMETER is not set +CONFIG_PGREP=y CONFIG_PIDOF=y CONFIG_FEATURE_PIDOF_SINGLE=y CONFIG_FEATURE_PIDOF_OMIT=y +CONFIG_PKILL=y CONFIG_PS=y CONFIG_FEATURE_PS_WIDE=y # CONFIG_RENICE is not set @@ -656,6 +677,7 @@ # CONFIG_FEATURE_TOP_CPU_USAGE_PERCENTAGE is not set # CONFIG_FEATURE_TOP_CPU_GLOBAL_PERCENTS is not set # CONFIG_FEATURE_TOP_DECIMALS is not set +# CONFIG_FEATURE_TOPMEM is not set # CONFIG_UPTIME is not set # CONFIG_WATCH is not set @@ -664,7 +686,6 @@ # CONFIG_FEATURE_SH_IS_ASH=y # CONFIG_FEATURE_SH_IS_HUSH is not set -# CONFIG_FEATURE_SH_IS_LASH is not set # CONFIG_FEATURE_SH_IS_MSH is not set # CONFIG_FEATURE_SH_IS_NONE is not set CONFIG_ASH=y @@ -741,6 +762,8 @@ # CONFIG_SETENFORCE is not set # CONFIG_SETFILES is not set # CONFIG_FEATURE_SETFILES_CHECK_OPTION is not set +# CONFIG_SETSEBOOL is not set +# CONFIG_SESTATUS is not set # # ipsvd utilities |
|
From: Bruce S. <bl...@us...> - 2008-04-16 20:19:43
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv19822/scripts Modified Files: gpm Log Message: fixed gpm (was not installing) Index: gpm =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/gpm,v retrieving revision 1.7 retrieving revision 1.8 diff -u -d -r1.7 -r1.8 --- gpm 20 Mar 2007 02:41:45 -0000 1.7 +++ gpm 16 Apr 2008 20:19:35 -0000 1.8 @@ -44,34 +44,34 @@ mkdir -p $CDDIR/usr/share/man/man{1,7,8} $CDDIR/usr/share/info pushd src/lib > /dev/null || exit 1 - /bin/install -c -m 644 -m 644 libgpm.so.1.19.0 $CDDIR/usr/lib/libgpm.so.1.19.0 + /usr/bin/install -c -m 644 -m 644 libgpm.so.1.19.0 $CDDIR/usr/lib/libgpm.so.1.19.0 popd > /dev/null || exit 1 pushd $CDDIR/usr/lib > /dev/null || exit 1 ln -s -f libgpm.so.1.19.0 libgpm.so popd > /dev/null || exit 1 - /bin/install -c -m 755 -m 755 src/gpm $CDDIR/usr/sbin/gpm + /usr/bin/install -c -m 755 -m 755 src/gpm $CDDIR/usr/sbin/gpm || exit 1 pushd src/prog > /dev/null || exit 1 - /bin/install -c -m 755 -m 755 disable-paste $CDDIR/usr/bin/disable-paste - /bin/install -c -m 755 -m 755 gpm-root $CDDIR/usr/bin/gpm-root - /bin/install -c -m 755 -m 755 hltest $CDDIR/usr/bin/hltest - /bin/install -c -m 755 -m 755 mev $CDDIR/usr/bin/mev - /bin/install -c -m 755 -m 755 mouse-test $CDDIR/usr/bin/mouse-test + /usr/bin/install -c -m 755 -m 755 disable-paste $CDDIR/usr/bin/disable-paste || exit 1 + /usr/bin/install -c -m 755 -m 755 gpm-root $CDDIR/usr/bin/gpm-root || exit 1 + /usr/bin/install -c -m 755 -m 755 hltest $CDDIR/usr/bin/hltest || exit 1 + /usr/bin/install -c -m 755 -m 755 mev $CDDIR/usr/bin/mev || exit 1 + /usr/bin/install -c -m 755 -m 755 mouse-test $CDDIR/usr/bin/mouse-test || exit 1 popd > /dev/null || exit 1 pushd doc > /dev/null || exit 1 - /bin/install -c -m 644 -m 644 mev.1 $CDDIR/usr/share/man/man1/ - /bin/install -c -m 644 -m 644 mouse-test.1 $CDDIR/usr/share/man/man1/ - /bin/install -c -m 644 -m 644 gpm-root.1 $CDDIR/usr/share/man/man1/ - /bin/install -c -m 644 -m 644 gpm-types.7 $CDDIR/usr/share/man/man7/ - /bin/install -c -m 644 -m 644 gpm.8 $CDDIR/usr/share/man/man8/ - /bin/install -c -m 644 -m 644 gpm.info $CDDIR/usr/share/info/ + /usr/bin/install -c -m 644 -m 644 mev.1 $CDDIR/usr/share/man/man1/ || exit 1 + /usr/bin/install -c -m 644 -m 644 mouse-test.1 $CDDIR/usr/share/man/man1/ || exit 1 + /usr/bin/install -c -m 644 -m 644 gpm-root.1 $CDDIR/usr/share/man/man1/ || exit 1 + /usr/bin/install -c -m 644 -m 644 gpm-types.7 $CDDIR/usr/share/man/man7/ || exit 1 + /usr/bin/install -c -m 644 -m 644 gpm.8 $CDDIR/usr/share/man/man8/ || exit 1 + /usr/bin/install -c -m 644 -m 644 gpm.info $CDDIR/usr/share/info/ || exit 1 popd > /dev/null || exit 1 [ -f $CDDIR/usr/share/info/dir ] && \ - install-info --dir-file=$CDDIR/usr/share/info/dir $CDDIR/usr/share/info/gpm.info + install-info --dir-file=$CDDIR/usr/share/info/dir $CDDIR/usr/share/info/gpm.info || exit 1 cp $MYDIR/scripts/gpm $ETCDIR/etc/init.d || exit 1 |
|
From: Bruce S. <bl...@us...> - 2008-04-16 20:19:38
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv19822 Modified Files: CHANGES Log Message: fixed gpm (was not installing) Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1196 retrieving revision 1.1197 diff -u -d -r1.1196 -r1.1197 --- CHANGES 16 Apr 2008 13:19:15 -0000 1.1196 +++ CHANGES 16 Apr 2008 20:19:35 -0000 1.1197 @@ -22,6 +22,7 @@ # 1.3.5 +- fixed gpm - was not installing on CD. (bs) - /etc is now mounted as aufs [Another UnionFS] (bs) o) only modified /etc files exist in ramdisk o) only /etc modifications are saved to floppy/usb |
|
From: Bruce S. <bl...@us...> - 2008-04-16 13:25:21
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv19296 Modified Files: prepare Log Message: Crap - old patch removed from the UnionFS /etc/ days. Index: prepare =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/prepare,v retrieving revision 1.75 retrieving revision 1.76 diff -u -d -r1.75 -r1.76 --- prepare 16 Apr 2008 13:19:15 -0000 1.75 +++ prepare 16 Apr 2008 13:25:17 -0000 1.76 @@ -93,18 +93,18 @@ echo "# CONFIG_MAGIC_SYSRQ is not set" >> $KERNELDIR/.config || exit 1 fi -# if [ "$CONFIG_UNIONFS" == "y" ]; then + if [ "$CONFIG_UNIONFS" == "y" ]; then cat $KERNEL_CONFIG_DIR/config_linux.unionfs >> $KERNELDIR/.config || exit 1 -# fi + fi pushd $KERNELDIR > /dev/null -# if [ "$CONFIG_UNIONFS" == "y" ]; then + if [ "$CONFIG_UNIONFS" == "y" ]; then if [ ! -f devil-linux-unionfs-kernel-patches.done ]; then touch devil-linux-unionfs-kernel-patches.done zcat $SRCDIR/unionfs-*_for_2.6.*.diff.gz | patch -p1 || exit 1 fi -# fi + fi if [ ! -f devil-linux-kernel-patches.done ]; then touch devil-linux-kernel-patches.done |
|
From: Bruce S. <bl...@us...> - 2008-04-16 13:19:25
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv16884 Modified Files: CHANGES Log Message: /etc is now "aufs"! Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1195 retrieving revision 1.1196 diff -u -d -r1.1195 -r1.1196 --- CHANGES 10 Apr 2008 13:37:38 -0000 1.1195 +++ CHANGES 16 Apr 2008 13:19:15 -0000 1.1196 @@ -21,6 +21,20 @@ # # +1.3.5 +- /etc is now mounted as aufs [Another UnionFS] (bs) + o) only modified /etc files exist in ramdisk + o) only /etc modifications are saved to floppy/usb + o) saved config file is now named: etc-mods.tar.bz2 + old config file (etc.tar.bz2) must be manually removed + o) upgrade-config will first look for and upgrade a new + style aufs config, otherwise it will look for and + upgrade an old style config if one exists + o) if a new etc-mods.tar.bz2 config does not exist, and + you select "n" when ask to upgrade your old etc.tar.bz2 + config, the system will boot without any custom config + and the system must be manually configured from scratch + 1.3.4 - added unionfs documentation to CD (bs) - updated mysql to 5.0.51a |
|
From: Bruce S. <bl...@us...> - 2008-04-16 13:19:24
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv16884/config/etc/initrd Modified Files: linuxrc load_modules Log Message: /etc is now "aufs"! Index: linuxrc =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/linuxrc,v retrieving revision 1.98 retrieving revision 1.99 diff -u -d -r1.98 -r1.99 --- linuxrc 7 Nov 2007 14:31:42 -0000 1.98 +++ linuxrc 16 Apr 2008 13:19:15 -0000 1.99 @@ -65,6 +65,17 @@ DL_CONFIG_SOURCE=$SRC DL_CONFIG_FILE=$FILE return 0 + elif [ -e /floppy/etc.tar.bz2 ] ; then + $YELLOW + echo "Pre-UnionFS config file found" + $NORMAL + REALLY_LIVE=1 + DL_CONFIG_SOURCE=$SRC + DL_CONFIG_FILE="etc-mods.tar.bz2" + mkdir /shm/oldconfig + tar -xjpf /floppy/etc.tar.bz2 -C /shm/oldconfig + export REALLY_LIVE + return 0 else $YELLOW echo "file not found" @@ -194,7 +205,7 @@ mount -n -o remount,rw / # get rid of modprobe and udevd warnings -mkdir -p /shm/etc +mkdir -p /shm/etc /shm/etc-mods echo "waiting until usb-storage driver has initialized all devices ..." sleep 10 @@ -227,7 +238,7 @@ DISCS_SCSI=`find /dev -name "sd*" 2> /dev/null` FLOPPIES=`find /dev -name "fd*" 2> /dev/null` CONFIG_SRC_LIST="$DISCS_SCSI $DEVICES_IDE $CDROM_SCSI $FLOPPIES" -CONFIG_FILE="etc.tar.bz2" +CONFIG_FILE="etc-mods.tar.bz2" CDROMS=$(grep -i "drive name" /proc/sys/dev/cdrom/info) @@ -239,7 +250,7 @@ parse_config_cmdline $CONFIG_USER && continue fi if [ "$CONFIG_USER_ONLY" = "0" ]; then - # scan for etc.tar.bz2 on all devices + # scan for config file on all devices scan_devices_for_config $CONFIG_FILE $CONFIG_SRC_LIST && continue fi @@ -269,11 +280,11 @@ continue fi mount -n -t auto $CFG_SRC /floppy >/dev/null 2>&1 || continue - cp -i /cdrom/config/etc.tar.bz2 /floppy/ || continue + cp -i /cdrom/config/etc-mods.tar.bz2 /floppy/ || continue umount /cdrom sync DL_CONFIG_SOURCE=$CFG_SRC - DL_CONFIG_FILE="etc.tar.bz2" + DL_CONFIG_FILE="etc-mods.tar.bz2" continue 2 fi fi @@ -287,7 +298,7 @@ if ask_yes_no ; then REALLY_LIVE=1 DL_CONFIG_SOURCE=/dev/null - DL_CONFIG_FILE="etc.tar.bz2" + DL_CONFIG_FILE="etc-mods.tar.bz2" export REALLY_LIVE continue 2 else @@ -303,7 +314,11 @@ export DL_CONFIG_SOURCE export DL_CONFIG_FILE -mkdir -p /shm/root +if [ -d /shm/oldconfig/root ]; then + mv /shm/oldconfig/root /shm/root +else + mkdir -p /shm/root +fi # check if the DL ISO got upgraded if [ -e /shm/dl_iso_replaced ]; then @@ -325,7 +340,7 @@ # find the CDROM /mount_cdrom /cdrom fi - tar -C /shm -xjf /cdrom/config/etc.tar.bz2 + tar -C /shm -xjf /cdrom/config/etc-mods.tar.bz2 # # we unmount here to be able to possibly activate run from ram # if that's activated by the default config @@ -439,4 +454,3 @@ echo 'Please mail a bug report to bu...@de...' echo exit - Index: load_modules =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/load_modules,v retrieving revision 1.5 retrieving revision 1.6 diff -u -d -r1.5 -r1.6 --- load_modules 1 Aug 2003 19:45:34 -0000 1.5 +++ load_modules 16 Apr 2008 13:19:15 -0000 1.6 @@ -7,7 +7,7 @@ # http://www.devil-linux.org # -. /etc/sysconfig/config +. /shm/etc-mods/sysconfig/config for MODULE in $INITRD_MODULES do |
|
From: Bruce S. <bl...@us...> - 2008-04-16 13:19:21
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv16884/scripts Modified Files: build-iso build.sh prepare Added Files: aufs Log Message: /etc is now "aufs"! --- NEW FILE: aufs --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/aufs,v $ # $Revision: 1.1 $ # $Date: 2008/04/16 13:19:15 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: aufs # Required-Start: $basebuildtools $libs linux # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: description ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) make -f local.mk || exit 1 ;; install ) mkdir -p $CDDIR/lib/modules/$KERNELVERSION/kernel/fs/aufs/ || exit 1 cp -v fs/aufs/aufs.ko $CDDIR/lib/modules/$KERNELVERSION/kernel/fs/aufs/ || exit 1 cp -v util/aufind.sh util/aulchown util/auplink util/mount.aufs util/umount.aufs $CDDIR/sbin/ || exit 1 cp -v util/aufs.5 $CDDIR/usr/share/man/man5/ || exit 1 ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac Index: build.sh =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/build.sh,v retrieving revision 1.101 retrieving revision 1.102 diff -u -d -r1.101 -r1.102 --- build.sh 26 Mar 2008 09:10:32 -0000 1.101 +++ build.sh 16 Apr 2008 13:19:15 -0000 1.102 @@ -180,11 +180,11 @@ cp $DL_DIR/scripts/scripts/custom-cd $DISTDIR || exit 1 cp $DL_DIR/scripts/scripts/install-on-usb $DISTDIR || exit 1 cp $WORKDIR/bootcd.iso $DISTDIR || exit 1 - if [ "$CONFIG_ZISOFS" = "y" ]; then - cp $CDDIR.z/config/etc.tar.bz2 $DISTDIR || exit 1 - else - cp $CDDIR/config/etc.tar.bz2 $DISTDIR || exit 1 - fi + #if [ "$CONFIG_ZISOFS" = "y" ]; then + # cp $CDDIR.z/config/etc.tar.bz2 $DISTDIR || exit 1 + #else + # cp $CDDIR/config/etc.tar.bz2 $DISTDIR || exit 1 + #fi cd $DISTDIR/.. || exit 1 mkdir -p $DISTDIR/docs cp -dpR $CDDOCDIR/* $DISTDIR/docs || exit 1 Index: build-iso =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/build-iso,v retrieving revision 1.76 retrieving revision 1.77 diff -u -d -r1.76 -r1.77 --- build-iso 9 Nov 2007 13:35:48 -0000 1.76 +++ build-iso 16 Apr 2008 13:19:15 -0000 1.77 @@ -56,7 +56,7 @@ pushd $WORKDIR > /dev/null - mkdir -p $CDDIR/config/etc_files || exit 1 + #mkdir -p $CDDIR/config/etc_files || exit 1 chmod 700 $CDDIR/config || exit 1 chown 0.0 $CDDIR/config || exit 1 @@ -107,18 +107,18 @@ #=========================================================================== - echo -n "creating etc.tar.bz2..." - (cd $WORKDIR/ETC; tar -cjf $CDDIR/config/etc.tar.bz2 etc) + #echo -n "creating etc.tar.bz2..." + #(cd $WORKDIR/ETC; tar -cjf $CDDIR/config/etc.tar.bz2 etc) - echo "done" - echo + #echo "done" + #echo #=========================================================================== echo -n "creating static etc files..." - pushd $ETCDIR/etc > /dev/null - cp -fp Devil-release issue issue.net $CDDIR/config/etc_files/ - popd > /dev/null + #pushd $ETCDIR/etc > /dev/null + #cp -fp Devil-release issue issue.net $CDDIR/config/etc_files/ + #popd > /dev/null mkdir -p $CDDIR/config/scripts cp -fp $DL_DIR/scripts/scripts/custom-cd $CDDIR/config/scripts/ @@ -127,6 +127,23 @@ #=========================================================================== + echo -n "creating etc directory on cd tree..." + rm -fr $CDDIR/etc-temp $CDDIR/etc-cd $CDDIR/etc-temp + rm -f $CDDIR/config/etc-mods.tar.bz2 + mkdir $CDDIR/etc-temp + cp -a $WORKDIR/ETC/etc $CDDIR/etc-temp + pushd $CDDIR/etc-temp > /dev/null + mv etc etc-mods + tar -cjpf $CDDIR/config/etc-mods.tar.bz2 etc-mods/{Devil-release,issue,issue.net,sysconfig/config} + mv etc-mods $CDDIR/etc-cd + rmdir $CDDIR/etc-temp + popd > /dev/null + + echo "done" + echo + + #=========================================================================== + if [ "$CONFIG_INITRD_FS" = "CRAMFS" ]; then echo "creating the initial ramdisk (initrd) image.... " @@ -327,7 +344,7 @@ # Configuration Options - F3 echo -n -e "\030/boot/logo.lss\n\r\n" > $CDDIR/boot/f3.txt echo -n -e "\01702Devil-Linux Configuration Options\r\n\r\n" >> $CDDIR/boot/f3.txt - echo -n -e "\0170f Devil-Linux will search for a configuration archive called etc.tar.bz2 on\r\n" >> $CDDIR/boot/f3.txt + echo -n -e "\0170f Devil-Linux will search for a configuration archive called etc-mods.tar.bz2 on\r\n" >> $CDDIR/boot/f3.txt echo -n -e "\0170f any IDE/SCSI/Floopy device accessible.\r\n" >> $CDDIR/boot/f3.txt echo -n -e "\0170f You can override this behavious by specifying this parameter:\r\n\r\n" >> $CDDIR/boot/f3.txt echo -n -e "\01704 DL_config=<device1>:<filename1>,<device2>:<filename2>:,...\r\n" >> $CDDIR/boot/f3.txt Index: prepare =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/prepare,v retrieving revision 1.74 retrieving revision 1.75 diff -u -d -r1.74 -r1.75 --- prepare 1 Apr 2008 10:19:58 -0000 1.74 +++ prepare 16 Apr 2008 13:19:15 -0000 1.75 @@ -93,18 +93,18 @@ echo "# CONFIG_MAGIC_SYSRQ is not set" >> $KERNELDIR/.config || exit 1 fi - if [ "$CONFIG_UNIONFS" == "y" ]; then +# if [ "$CONFIG_UNIONFS" == "y" ]; then cat $KERNEL_CONFIG_DIR/config_linux.unionfs >> $KERNELDIR/.config || exit 1 - fi +# fi pushd $KERNELDIR > /dev/null - if [ "$CONFIG_UNIONFS" == "y" ]; then +# if [ "$CONFIG_UNIONFS" == "y" ]; then if [ ! -f devil-linux-unionfs-kernel-patches.done ]; then touch devil-linux-unionfs-kernel-patches.done zcat $SRCDIR/unionfs-*_for_2.6.*.diff.gz | patch -p1 || exit 1 fi - fi +# fi if [ ! -f devil-linux-kernel-patches.done ]; then touch devil-linux-kernel-patches.done |
|
From: Bruce S. <bl...@us...> - 2008-04-16 13:19:20
|
Update of /cvsroot/devil-linux/build/scripts/config In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv16884/scripts/config Modified Files: VERSION Log Message: /etc is now "aufs"! Index: VERSION =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/VERSION,v retrieving revision 1.19 retrieving revision 1.20 diff -u -d -r1.19 -r1.20 --- VERSION 20 Mar 2007 02:41:45 -0000 1.19 +++ VERSION 16 Apr 2008 13:19:15 -0000 1.20 @@ -1 +1 @@ -1.3.4 +1.3.5 |
|
From: Bruce S. <bl...@us...> - 2008-04-16 13:19:20
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv16884/scripts/scripts Modified Files: pre_init save-config upgrade-config Log Message: /etc is now "aufs"! Index: pre_init =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/pre_init,v retrieving revision 1.28 retrieving revision 1.29 diff -u -d -r1.28 -r1.29 --- pre_init 6 Jul 2007 03:59:33 -0000 1.28 +++ pre_init 16 Apr 2008 13:19:16 -0000 1.29 @@ -11,6 +11,17 @@ # used to initialize the devfs # +# mount /etc/ as a union/aufs directory +mount -n -t proc proc /proc # aufs needs /proc/mounts +mount -n --bind /shm/dev/ /dev/ # aufs needs /dev/null +mkdir -p /shm/var/tmp # aufs needs /tmp + +# select either aufs or unionfs mount below: +mount -n -t aufs -o br:/shm/etc-mods:/etc-cd=rr none /shm/etc +#mount -n -t unionfs -o dirs=/shm/etc-mods:/etc-cd=ro none /shm/etc + +umount -n /proc + # settings source /etc/sysconfig/config @@ -30,7 +41,7 @@ echo "Changed Root" $NORMAL -mount --bind /shm/dev/ /dev/ +#mount --bind /shm/dev/ /dev/ echo "Un-Mounting old Filesystems" umount /initrd/dev &> /dev/null @@ -67,64 +78,45 @@ echo "Unpacking /var" bunzip2 -s -c /config/var.tar.bz2 | tar -C /shm/ -x -if [ -d /config/etc_files ]; then - if ! cmp -s /shm/etc/Devil-release /config/etc_files/Devil-release - then - cp -f /config/etc_files/issue* /etc - RV1="$(cat /shm/etc/Devil-release | sed 's/Devil-Linux //')" - RV2="$(cat /config/etc_files/Devil-release | sed 's/Devil-Linux //')" +if [ -d /shm/oldconfig ]; then + echo "Devil-Linux pre-UnionfS" > /shm/etc/Devil-release +fi + +if ! cmp -s /shm/etc/Devil-release /etc-cd/Devil-release +then + cp -f /etc-cd/issue* /etc + RV1="$(cat /shm/etc/Devil-release | sed 's/Devil-Linux //')" + RV2="$(cat /etc-cd/Devil-release | sed 's/Devil-Linux //')" + echo + $RED + echo "*** WARNING ***" + echo + $YELLOW + echo "You are running a configuration media for a different release CD!" + echo "You should update your floppy/USB to prevent potential problems." + echo + echo "Your media is version: $RV1" + echo "Your cdrom is version: $RV2" + $NORMAL + echo + bs="n" + read -n 1 -t 300 -p 'Press any key to upgrade, or "n" to skip. (timeout in 5 minutes)' bs + echo + if [ "$bs" != "n" ]; then echo - $RED - echo "*** WARNING ***" + echo -n "Comparing configurations, please wait " + /sbin/upgrade-config echo $YELLOW - echo "You are running a configuration media for a different release CD!" - echo "You should update your floppy/USB to prevent potential problems." echo - echo "Your media is version: $RV1" - echo "Your cdrom is version: $RV2" + echo 'You MUST run "save-config" after bootup to save your new config' + echo $NORMAL echo - read -n 1 -t 300 -p 'Press any key to upgrade, or "n" to skip. (timeout in 5 minutes)' bs + read -n 1 -t 300 -p 'Press any key to continue ... (timeout in 5 minutes)' echo - if [ "$bs" != "n" ]; then - echo - echo -n "Comparing configurations, please wait " - /sbin/upgrade-config - echo - read -n 1 -t 300 -p 'Press any key to switch to your new config, or "n" to skip. (timeout in 5 min)' bs - echo - if [ "$bs" != "n" ]; then - cp -f /config/etc_files/* /shm/newconfig/etc/ - cp -f /shm/etc/mtab /shm/newconfig/etc/ - mv /shm/etc /shm/etc-old - mv /shm/newconfig/etc/ /shm/etc - $YELLOW - echo - echo 'You MUST run "save-config" after bootup to save your new config' - echo - $NORMAL - echo 'Your old etc directory will be saved until reboot at: /shm/etc-old' - echo "Your old config file has been saved as: /etc/sysconfig/config.old" - echo "A log of all changes is available at: /etc/sysconfig/upgrade.log" - - echo - read -n 1 -t 300 -p 'Press any key to continue ... (timeout in 5 minutes)' - echo - else - rm -fr /shm/newconfig - $YELLOW - echo - echo - echo 'No changes made.' - echo - $NORMAL - read -n 1 -t 300 -p 'Press any key to continue ... (timeout in 5 minutes)' - echo - fi - fi - unset bs fi + unset bs fi # call custom Pre_init Index: save-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/save-config,v retrieving revision 1.36 retrieving revision 1.37 diff -u -d -r1.36 -r1.37 --- save-config 3 Nov 2007 19:56:01 -0000 1.36 +++ save-config 16 Apr 2008 13:19:16 -0000 1.37 @@ -231,7 +231,7 @@ $SUCCESS echo "listing difference" $NORMAL - ( cd / ; tar -djf $CONFIG_MOUNT/$DL_CONFIG_FILE etc ) + ( cd /shm ; tar -djf $CONFIG_MOUNT/$DL_CONFIG_FILE etc-mods ) umount $CONFIG_MOUNT @@ -276,7 +276,7 @@ --exclude=lvm/cache \ -j \ -f $CONFIG_MOUNT/$DL_CONFIG_FILE \ - etc root + etc-mods root error=$? Index: upgrade-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/upgrade-config,v retrieving revision 1.31 retrieving revision 1.32 diff -u -d -r1.31 -r1.32 --- upgrade-config 27 Mar 2008 14:27:04 -0000 1.31 +++ upgrade-config 16 Apr 2008 13:19:16 -0000 1.32 @@ -9,12 +9,17 @@ # # Written by: Bruce Smith <dev...@re...> +DL_CONFIG_DIR="/floppy" +DL_CONFIG_SOURCE="$(cat /shm/DL_CONFIG_SOURCE)" +DL_CONFIG_FILE="$(cat /shm/DL_CONFIG_FILE)" + TMPC=/shm/var/tmp/upd-config.$$ TMPD=/shm/var/tmp/upd-etc.$$ TMPF=/shm/var/tmp/upd-tmp.$$ +CMPF=/shm/var/tmp/upd-cmpf.$$ RESULT=/shm/var/tmp/upd-res.$$ RAMDISKDIR="/shm" -LOGF="newconfig/etc/sysconfig/upgrade.log" +LOGF="/shm/upgrade.log" #DIALOG="dialog --clear --aspect 76 --no-shadow" DIALOG="dialog --clear --no-shadow" @@ -75,58 +80,57 @@ [ "$(expr substr "$1" 1 $(expr length "$2"))" = "$2" ] && return 0 || return 1 } -echo -if [ -e $RAMDISKDIR/newconfig ]; then - echo /shm/newconfig exists, please remove. - exit 1 -fi - -if [ ! -f /config/etc.tar.bz2 ]; then - echo Cannot find file: /config/etc.tar.bz2 - exit 1 -fi +bailout () { + rm -fr $RAMDISKDIR/oldconfig + exit $1 +} -for d in $RAMDISKDIR/etc -do - if [ ! -e "$d" ]; then - echo Cannot find directory: $d - exit 1 - fi -done +echo rm -f $TMPD -cd $RAMDISKDIR -mkdir newconfig || exit 1 -tar -xjf /config/etc.tar.bz2 -C newconfig -for f in $(find etc -type f -mtime -3650 -print) +if [ -d $RAMDISKDIR/oldconfig ]; then + cd $RAMDISKDIR/oldconfig + PREUFS="yes" + FINDDIR="etc" + CMPDIR=".." +else + cd $RAMDISKDIR || bailout 1 + PREUFS="" + FINDDIR="etc-mods" + CMPDIR="/etc-cd" +fi +echo > $CMPF + +for f in $(find $FINDDIR -type f -mtime -3650 -print) do onoff="on" echo -n "." - [ $f = "etc/Devil-release" ] && continue - [ $f = "etc/issue" ] && continue - [ $f = "etc/issue.net" ] && continue - [ $f = "etc/sysconfig/upgrade.log" ] && continue - [ $f = "etc/sysconfig/software" ] && continue - [ $f = "etc/mtab" ] && continue - [ $f = "etc/.pwd.lock" ] && continue - [ $f = "etc/passwd" ] && continue - [ $f = "etc/passwd-" ] && continue - [ $f = "etc/group" ] && continue - [ $f = "etc/group-" ] && continue - [ $f = "etc/shadow" ] && continue - [ $f = "etc/shadow-" ] && continue - [ $f = "etc/gshadow" ] && continue - [ $f = "etc/gshadow-" ] && continue - comparesubstr "$f" "etc/modules/" && continue - comparesubstr "$f" "etc/sysconfig/config" && continue -# comparesubstr "$f" "etc/ssh/ssh_host_" && onoff="on" - comparesubstr "$f" "etc/init.d/" && onoff="off" - comparesubstr "$f" "etc/pam.d/" && onoff="off" - comparesubstr "$f" "etc/init.d/firewall.rules" && onoff="on" - comparesubstr "$f" "etc/init.d/boot.local" && onoff="on" - finfo=$(ls -a $f) - cmp -s $f newconfig/$f || echo $f \"\" $onoff \"$finfo\" >> $TMPD + [ $f = "$FINDDIR/Devil-release" ] && continue + [ $f = "$FINDDIR/issue" ] && continue + [ $f = "$FINDDIR/issue.net" ] && continue + [ $f = "$FINDDIR/sysconfig/upgrade.log" ] && continue + [ $f = "$FINDDIR/sysconfig/software" ] && continue + [ $f = "$FINDDIR/mtab" ] && continue + [ $f = "$FINDDIR/.pwd.lock" ] && continue + [ $f = "$FINDDIR/passwd" ] && continue + [ $f = "$FINDDIR/passwd-" ] && continue + [ $f = "$FINDDIR/group" ] && continue + [ $f = "$FINDDIR/group-" ] && continue + [ $f = "$FINDDIR/shadow" ] && continue + [ $f = "$FINDDIR/shadow-" ] && continue + [ $f = "$FINDDIR/gshadow" ] && continue + [ $f = "$FINDDIR/gshadow-" ] && continue + comparesubstr "$f" "$FINDDIR/modules/" && continue + comparesubstr "$f" "$FINDDIR/sysconfig/config" && continue + comparesubstr "$f" "$FINDDIR/init.d/" && onoff="off" + comparesubstr "$f" "$FINDDIR/pam.d/" && onoff="off" + comparesubstr "$f" "$FINDDIR/init.d/firewall.rules" && onoff="on" + comparesubstr "$f" "$FINDDIR/init.d/boot.local" && onoff="on" + comparesubstr "$f" "$FINDDIR/my.cnf" && onoff="off" + comparesubstr "$f" "$FINDDIR/udev/" && onoff="off" + cmp -s "/etc/$f" "$CMPDIR/$f" || echo $f \"\" $onoff \"$f\" >> $TMPD + echo $f >> $CMPF done msgbox "Please read:" "The next screen will let you select which of your old config files you want to copy to your new configuration \n\nBe VERY CAREFUL to only copy files you have customized. Copying other files could cause severe problems.\n\nNote: Selecting \"Help\" will display info about the current file, but upon return you will lose all selections made." @@ -145,15 +149,15 @@ # Help button pressed for f in $(cat $RESULT|cut -c5-) do - if [ -f "newconfig/$f" ]; then + if [ -f "$CMPDIR/$f" ]; then echo > $TMPF - ls -l "$f" "newconfig/$f" >> $TMPF + ls -l "$f" "$CMPDIR/$f" >> $TMPF eval $DIALOG --title \"the files:\" \ --backtitle \"$BACKTITLE\" \ --item-help --help-button \ --textbox "$TMPF" $height2 $width echo > $TMPF - diff -u "$f" "newconfig/$f" >> $TMPF + diff -u "$f" "$CMPDIR/$f" >> $TMPF eval $DIALOG --title \"running diff on the files:\" \ --backtitle \"$BACKTITLE\" \ --item-help --help-button \ @@ -166,7 +170,7 @@ eval $DIALOG --title \"the NEW file:\" \ --backtitle \"$BACKTITLE\" \ --item-help --help-button \ - --textbox "newconfig/$f" $height2 $width + --textbox "$CMPDIR/$f" $height2 $width else echo > $TMPF ls -l "$f" >> $TMPF @@ -187,43 +191,57 @@ echo "************************************************************" >> $LOGF date >> $LOGF echo >> $LOGF - echo "Files saved from old config:" >> $LOGF - echo "----------------------------" >> $LOGF - echo >> $LOGF - for f in $(cat $RESULT) - do - eval p=$f - d="$(dirname $p)" - if [ ! -d newconfig/$d ]; then - mkdir -p newconfig/$d - chmod --reference /$d newconfig/$d - chown --reference /$d newconfig/$d - fi - if [ "$p" = "etc/modules.conf" ]; then - echo "migrating file: $p" | tee -a $LOGF - grep -v "file=/" $p > newconfig/$p - else - echo "keeping file: $p" | tee -a $LOGF - cp -af $p newconfig/$p - fi - done + if [ -n "$PREUFS" ]; then + echo "Files copied from old config:" >> $LOGF + echo "----------------------------" >> $LOGF + echo >> $LOGF + for f in $(cat $RESULT) + do + eval p=$f + d="$(dirname $p)" + if [ ! -d $CMPDIR/$d ]; then + mkdir -p $CMPDIR/$d + chmod --reference /$d $CMPDIR/$d + chown --reference /$d $CMPDIR/$d + fi + if [ "$p" = "$CMPDIR/modules.conf" ]; then + echo "migrating file: $p" | tee -a $LOGF + grep -v "file=/" $p > $CMPDIR/$p + else + echo "copying file: $p" | tee -a $LOGF + cp -af $p $CMPDIR/$p + fi + done + else + echo "Files not kept from old config:" >> $LOGF + echo "-------------------------------" >> $LOGF + echo >> $LOGF + for f in $(cat $CMPF) + do + if [ $(grep -xc "$f" $RESULT) -eq 1 ]; then + echo "not keeping: $p" | tee -a $LOGF + rm -f $FINDDIR/$p + fi + done + fi + cp -f /etc-cd/{Devil-release,issue,issue.net} /shm/etc/ - echo >> $LOGF - echo "Symlinks preserved from old config:" >> $LOGF - echo "-----------------------------------" >> $LOGF - echo >> $LOGF - for f in $(find /etc/ -type l | grep -v "init.d/rc" | grep -v "init.d/boot.d") - do - eval p=$f - d="$(dirname $p)" - if [ ! -d newconfig/$d ]; then - mkdir -p newconfig/$d - chmod --reference /$d newconfig/$d - chown --reference /$d newconfig/$d - fi - echo "preserving link: $f" | tee -a $LOGF - cp -dpf $f newconfig/$f - done +# echo >> $LOGF +# echo "Symlinks preserved from old config:" >> $LOGF +# echo "-----------------------------------" >> $LOGF +# echo >> $LOGF +# for f in $(find /etc/ -type l | grep -v "init.d/rc" | grep -v "init.d/boot.d") +# do +# eval p=$f +# d="$(dirname $p)" +# if [ ! -d $CMPDIR/$d ]; then +# mkdir -p $CMPDIR/$d +# chmod --reference /$d $CMPDIR/$d +# chown --reference /$d $CMPDIR/$d +# fi +# echo "preserving link: $f" | tee -a $LOGF +# cp -dpf $f $CMPDIR/$f +# done pause break fi @@ -236,43 +254,45 @@ echo if askyesno "/etc/sysconfig/config migration" "Do you want to migrate old values to your new /etc/sysconfig/config ?" yes then - echo >> $LOGF - echo >> $LOGF - echo "/etc/sysconfig/config migration:" >> $LOGF - echo "--------------------------------" >> $LOGF - echo >> $LOGF - cp -f etc/sysconfig/config newconfig/etc/sysconfig/config.old - cp -f newconfig/etc/sysconfig/config newconfig/etc/sysconfig/config.default - . etc/sysconfig/config - echo "Migrating /etc/sysconfig/config values ..." - echo - for bs in $(grep -v -e '^ *#' -e '^ *$' etc/sysconfig/config|cut -f1 -d'=') - do - eval mod_config newconfig/etc/sysconfig/config ${bs} \"\$${bs}\" - done - pause + echo >> $LOGF + echo >> $LOGF + echo "/etc/sysconfig/config migration:" >> $LOGF + echo "--------------------------------" >> $LOGF + echo >> $LOGF + if [ -n "$PREUFS" ]; then + cp -f $FINDDIR/sysconfig/config $CMPDIR/etc/sysconfig/config.old + else + cp -f /etc/sysconfig/config /etc/sysconfig/config.old + cp -f /etc-cd/sysconfig/config /etc/sysconfig/config + fi + . /etc/sysconfig/config.old + echo "Migrating /etc/sysconfig/config values ..." + echo + for bs in $(grep -v -e '^ *#' -e '^ *$' /etc/sysconfig/config|cut -f1 -d'=') + do + eval mod_config /etc/sysconfig/config ${bs} \"\$${bs}\" + done + pause fi if askyesno "User and Group migration" "Do you want to migrate your old users, groups and passwords?" yes ; then migrateid () { - cp -f newconfig/${1} newconfig/${1}.dl - cp -f newconfig/${2} newconfig/${2}.dl - cp -f ${1} newconfig/${1} - cp -f ${2} newconfig/${2} - cp -f ${1} newconfig/${1}- - cp -f ${2} newconfig/${2}- + if [ -n "${PREUFS}" ]; then + cp -f $FINDDIR/${1} /etc/${1} + cp -f $FINDDIR/${2} /etc/${2} + fi + cp -f /etc/${1} /etc/${1}- + cp -f /etc/${2} /etc/${2}- # Add all non-existing users/groups to new config while read id ; do name="$(echo $id|cut -d: -f1)" - [ "$(grep -c "^${name}:" newconfig/${1})" -gt 0 ] && continue - grep "^${name}:" newconfig/${1}.dl >> newconfig/${1} - grep "^${name}:" newconfig/${2}.dl >> newconfig/${2} + [ "$(grep -c "^${name}:" /etc/${1})" -gt 0 ] && continue + grep "^${name}:" /etc-cd/${1} >> /etc/${1} + grep "^${name}:" /etc-cd/${2} >> /etc/${2} echo ${name} - created. | tee -a $LOGF - done < newconfig/${1}.dl - rm -f newconfig/${1}.dl - rm -f newconfig/${2}.dl + done < /etc-cd/${1} } echo >> $LOGF @@ -281,7 +301,8 @@ echo "---------------" >> $LOGF echo | tee -a $LOGF - migrateid etc/passwd etc/shadow + migrateid passwd shadow + migrateid passwd shadow echo >> $LOGF echo | tee -a $LOGF @@ -289,26 +310,27 @@ echo "----------------" >> $LOGF echo | tee -a $LOGF - migrateid etc/group etc/gshadow + migrateid group gshadow + migrateid group gshadow fi # make sure the init system is configured correctly -rm -rf newconfig/etc/init.d/rc{S,0,1,2,3,4,5,6}.d -rm -rf newconfig/etc/init.d/boot.d -mkdir -p newconfig/etc/init.d/rc{S,0,1,2,3,4,5,6}.d -mkdir -p newconfig/etc/init.d/boot.d - -insserv -f -d $(grep -l "### BEGIN INIT INFO" newconfig/etc/init.d/* | grep -v "skeleton") +#rm -rf $CMPDIR/etc/init.d/rc{S,0,1,2,3,4,5,6}.d +#rm -rf $CMPDIR/etc/init.d/boot.d +#mkdir -p $CMPDIR/etc/init.d/rc{S,0,1,2,3,4,5,6}.d +#mkdir -p $CMPDIR/etc/init.d/boot.d +# +#insserv -f -d $(grep -l "### BEGIN INIT INFO" $CMPDIR/etc/init.d/* | grep -v "skeleton") # make sure we use the correct system initialization -sed -e s%"si::sysinit:/etc/init.d/boot"%"si::sysinit:/etc/init.d/rc boot"% newconfig/etc/inittab > newconfig/etc/inittab.new -mv -f newconfig/etc/inittab.new newconfig/etc/inittab +sed -e s%"si::sysinit:/etc/init.d/boot"%"si::sysinit:/etc/init.d/rc boot"% /etc/inittab > /etc/inittab.new +mv -f /etc/inittab.new /etc/inittab # syslog-ng # remove all chroot jail entries and replace stream with dgram sed -e 's|unix-stream *( *"/jail[^;]*;||g' \ -e 's|unix-stream *( *"/dev/log"|unix-dgram("/dev/log"|' \ - < newconfig/etc/syslog-ng/syslog-ng.conf > $TMPD -mv $TMPD newconfig/etc/syslog-ng/syslog-ng.conf + < /etc/syslog-ng/syslog-ng.conf > $TMPD +mv $TMPD /etc/syslog-ng/syslog-ng.conf -rm -fr $TMPD $RESULT +rm -fr $TMPD $RESULT $RAMDISKDIR/oldconfig |
|
From: Bruce S. <bl...@us...> - 2008-04-15 14:59:20
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv21013 Modified Files: md5sum.lst Log Message: Add aufs source Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.428 retrieving revision 1.429 diff -u -d -r1.428 -r1.429 --- md5sum.lst 10 Apr 2008 00:34:25 -0000 1.428 +++ md5sum.lst 15 Apr 2008 14:58:59 -0000 1.429 @@ -107,6 +107,7 @@ 101d635b4769a611523bfbc7fb5aec52 src/arpwatch_repscr.patch.bz2 ac0f33a7fb8484eecee9c9e1db112e34 src/asm_types.h.patch 867eb6e8863e39900382d77e2b538696 src/attr_2.4.41-1.tar.gz +c81bd454f77262f105833bf5722c6d71 src/aufs-2008-04-15.tar.bz2 36d3fe706ad0950f1be10c46a429efe0 src/autoconf-2.61.tar.bz2 c11b8100bb311492d8220378fd8bf9e0 src/automake-1.9.6.tar.bz2 3e6da58e0c479ae0de49ae3e6948576e src/awstats-6.6.tar.gz |
|
From: Bruce S. <bl...@us...> - 2008-04-11 13:28:36
|
Update of /cvsroot/devil-linux/build/scripts/configuration/profiles In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv20181 Added Files: server Log Message: add server profile --- NEW FILE: server --- CONFIG_AIDE=y CONFIG_ALSA=n CONFIG_AOE6=y CONFIG_APCUPSD=y CONFIG_ARPING=y CONFIG_ARPWATCH=y CONFIG_AWSTATS=y CONFIG_BLUEZ=y CONFIG_BONNIEPP=y CONFIG_BOOT_OPTION_VGA=80x25 CONFIG_BRIDGE_UTILS=y CONFIG_CDRTOOLS_ON_CD=y CONFIG_CLAMAV=y CONFIG_CLAMAV_PATCH=n CONFIG_CONNTRACKTOOL=y CONFIG_CPU=686 CONFIG_CRON=y CONFIG_CURL=y CONFIG_CVS=y CONFIG_CYRUS_IMAPD=y CONFIG_CYRUS_SASL=y CONFIG_DAEMONTOOLS=y CONFIG_DANSGUARDIAN=y CONFIG_DANTE=y CONFIG_DAR=y CONFIG_DBUS=y CONFIG_DCC=y CONFIG_DDUP=y CONFIG_DEBIANUTILS=y CONFIG_DENYHOSTS=y CONFIG_DEVIL_DOC_ISO=y CONFIG_DEVIL_MAN_ISO=y CONFIG_DIR_SAP=n CONFIG_DISABLELOGGING=n CONFIG_DISTCCD=n CONFIG_DJBDNS=y CONFIG_DNSMASQ=y CONFIG_DOSFSTOOLS=y CONFIG_DOVECOT=y CONFIG_DSPAM=y CONFIG_DVDRWTOOLS=y CONFIG_EAGLE_USB=n CONFIG_EBTABLES=y CONFIG_ETHTOOL=y CONFIG_EZ_IPUPDATE=y CONFIG_FETCHMAIL=y CONFIG_FILE=y CONFIG_FPROBE=y CONFIG_FPROBE_ULOG=y CONFIG_FREERADIUS=y CONFIG_FREETYPE=y CONFIG_FROX=y CONFIG_FWLOGWATCH=y CONFIG_GCC_HARDENED=y CONFIG_GOCR=y CONFIG_GPM=y CONFIG_GRSECURITY=n CONFIG_HEARTBEAT=y CONFIG_HOTPLUG=y CONFIG_HTTPD=y CONFIG_HTTPD_CACHE=y CONFIG_HTTPD_DAV=y CONFIG_HTTPD_MPM=prefork CONFIG_HTTPD_NONPORTATOM=y CONFIG_HTTPD_PROXY=y CONFIG_HTTPD_SUEXEC=y CONFIG_IANS=y CONFIG_ID3=y CONFIG_ID3V2=y CONFIG_IMAGEMAGICK=y CONFIG_INITRD_FS=EXT2 CONFIG_INOTIFYTOOLS=y CONFIG_IPAC_NG=y CONFIG_IPROUTE2=y CONFIG_IPSEC_TOOLS=y CONFIG_IPTRAF=y CONFIG_ISC_BIND=y CONFIG_ISC_DHCP=y CONFIG_JFS=y CONFIG_JFTPGW=y CONFIG_JOE=y CONFIG_KERBEROS5=y CONFIG_KERNEL_CPU=686 CONFIG_L2TPD=y CONFIG_LCD4LINUX=y CONFIG_LFTP=y CONFIG_LHA=y CONFIG_LIBLOCKFILE=y CONFIG_LIBOSIP2=y CONFIG_LIBSAFE=y CONFIG_LIBSTDC_COMPAT=y CONFIG_LINUX_NR_CPUS=4 CONFIG_LINUX_SYSRQ=n CONFIG_LINUX_VERSION=2.6 CONFIG_LINUX_WLAN_NG=y CONFIG_LM_SENSORS=y CONFIG_LOGROTATE=y CONFIG_LOGWATCH=y CONFIG_LPRNG=y CONFIG_LVM2=y CONFIG_LYNX=y CONFIG_MAIL_SPAMASSASSIN=y CONFIG_MC=y CONFIG_MDADM=y CONFIG_MEMTEST86=y CONFIG_MGETTY=y CONFIG_MINICOM=y CONFIG_MOD_PERL=y CONFIG_MOTION=y CONFIG_MPEG_ENCODE=y CONFIG_MRTG=y CONFIG_MTOOLS=y CONFIG_MTR=y CONFIG_MT_ST=y CONFIG_MYSQL_CLIENT=y CONFIG_MYSQL_SERVER=y CONFIG_NAGIOS=y CONFIG_NAIL=y CONFIG_NCFTP=y CONFIG_NDIS=y CONFIG_NETACCT=y CONFIG_NETPBM=y CONFIG_NET_SNMP=y CONFIG_NFS=y CONFIG_NFSD=y CONFIG_NF_BASE=y CONFIG_NF_EXTRA=y CONFIG_NF_LAYER7=y CONFIG_NF_PATCHES=y CONFIG_NF_PENDING=y CONFIG_NF_UPDATES=y CONFIG_NICE=y CONFIG_NIS=y CONFIG_NMAP=y CONFIG_NO_IP_UPDATER=y CONFIG_NSSLDAPLIB=y CONFIG_NTOP=y CONFIG_NTP=y CONFIG_NUT=y CONFIG_OIDENTD=y CONFIG_OPENH323=y CONFIG_OPENH323GK=y CONFIG_OPENLDAPLIB=y CONFIG_OPENLDAP_FULL=y CONFIG_OPENSSH=y CONFIG_OPENSSL_BIN=y CONFIG_OPENVPN=y CONFIG_OPEN_VM_TOOLS=y CONFIG_PARALLEL_JOBS=1 CONFIG_PASSWDGEN=y CONFIG_PCIUTILS=y CONFIG_PERL=y CONFIG_PHP=y CONFIG_PMAKE=1 CONFIG_PORTMAP=y CONFIG_PORTSLAVE=n CONFIG_POSTFIX=y CONFIG_POSTFIX_TLS=y CONFIG_POSTGRESQL_CLIENT=y CONFIG_POSTGRESQL_SERVER=y CONFIG_PPP=y CONFIG_PROCMAIL=y CONFIG_PSCHED_CLOCK_SOURCE=PSCHED_CPU CONFIG_PWLIB=y CONFIG_PYTHON=y CONFIG_PYTHON_LDAP=y CONFIG_QADSL=y CONFIG_QUAGGA=y CONFIG_QUOTA_TOOLS=y CONFIG_RADVD=y CONFIG_RAZOR_AGENTS=y CONFIG_RCS=y CONFIG_RNGTOOLS=y CONFIG_RPM=n CONFIG_RPPPPOE=y CONFIG_RRDTOOL=y CONFIG_RSYNC=y CONFIG_SAGATOR=y CONFIG_SAMBA=y CONFIG_SARG=y CONFIG_SCPONLY=y CONFIG_SCREEN=y CONFIG_SER=y CONFIG_SG3_UTILS=y CONFIG_SHFS=y CONFIG_SHOREWALL=y CONFIG_SIPROXD=y CONFIG_SMARTMONTOOLS=y CONFIG_SNORT=y CONFIG_SQUID=y CONFIG_SQUIDGUARD=y CONFIG_STRONGSWAN=n CONFIG_STUNNEL=y CONFIG_SUDO=y CONFIG_SWIG=y CONFIG_SYSSTAT=y CONFIG_TCPDUMP=y CONFIG_TCP_WRAPPERS=y CONFIG_TELNET_BSD=y CONFIG_TFTP_HPA=y CONFIG_THTTPD=y CONFIG_UCARP=y CONFIG_UCSPI_TCP=y CONFIG_UNARJ=y CONFIG_UNIONFS=y CONFIG_UNRAR=y CONFIG_UNZIP=y CONFIG_USE_DISTCC=n CONFIG_VBLADE=y CONFIG_VIM=y CONFIG_VLAN=y CONFIG_VOBCOPY=y CONFIG_VSFTPD=y CONFIG_VTUN=y CONFIG_WATCHDOG=y CONFIG_WEBALIZER=y CONFIG_WGET=y CONFIG_WIRELESS_TOOLS=y CONFIG_WOL=y CONFIG_WVDIAL=y CONFIG_XFS=y CONFIG_XINETD=y CONFIG_XMBMON=y CONFIG_ZIP=y CONFIG_ZISOFS=y CONFIG_POPTOP=y CONFIG_PPTP_CLIENT=y |
|
From: Bruce S. <bl...@us...> - 2008-04-11 13:25:36
|
Update of /cvsroot/devil-linux/build/scripts/configuration/profiles In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv19419 Modified Files: default Log Message: Turn on UnionFS by default. Index: default =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/default,v retrieving revision 1.83 retrieving revision 1.84 diff -u -d -r1.83 -r1.84 --- default 27 Mar 2008 14:27:04 -0000 1.83 +++ default 11 Apr 2008 13:25:32 -0000 1.84 @@ -198,7 +198,7 @@ CONFIG_UCARP=y CONFIG_UCSPI_TCP=y CONFIG_UNARJ=y -CONFIG_UNIONFS=n +CONFIG_UNIONFS=y CONFIG_UNRAR=y CONFIG_UNZIP=y CONFIG_USE_DISTCC=n |
|
From: Serge L. <sma...@us...> - 2008-04-11 12:15:03
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv24922 Modified Files: install-on-usb Log Message: - don't try to preserve permissions for vfat Index: install-on-usb =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/install-on-usb,v retrieving revision 1.22 retrieving revision 1.23 diff -u -d -r1.22 -r1.23 --- install-on-usb 30 Sep 2005 00:52:46 -0000 1.22 +++ install-on-usb 11 Apr 2008 12:14:53 -0000 1.23 @@ -40,7 +40,10 @@ return 0 elif [ -f "$1" ]; then echo "copying source file $1 to device mounted on $2" - nice cp -p $1 $2 || return 1 + if [ x"$3" != x"not_save_permissions" ] ; then + PRESERVE="-p" + fi + nice cp $PRESERVE $1 $2 || return 1 return 0 else echo "$1 is not a valid source for the ISO" @@ -356,7 +359,7 @@ cp $TMPDIR/iso-mnt/{DEVIL-LINUX,LICENSE} $TMPDIR/disk-mnt/ &> /dev/null || return 1 cat $TMPDIR/iso-mnt/isolinux.cfg | sed -e s%"/boot/"%""% > $TMPDIR/disk-mnt/syslinux.cfg || return 1 cat $TMPDIR/iso-mnt/boot/message | sed -e s%"/boot/"%""% > $TMPDIR/disk-mnt/message || return 1 - copy_iso_file $DLISO $TMPDIR/disk-mnt/bootcd.iso || return 1 + copy_iso_file $DLISO $TMPDIR/disk-mnt/bootcd.iso not_save_permissions || return 1 elif [ "$BOOTLOADER" = "grub" ] || [ "$BOOTLOADER" = "lilo" ]; then |
|
From: Bruce S. <bl...@us...> - 2008-04-10 18:09:53
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv13059 Modified Files: setup Log Message: Add VMware network module to setup. Index: setup =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/setup,v retrieving revision 1.30 retrieving revision 1.31 diff -u -d -r1.30 -r1.31 --- setup 24 Jul 2007 08:06:56 -0000 1.30 +++ setup 10 Apr 2008 18:09:46 -0000 1.31 @@ -473,7 +473,7 @@ MODULE) rm -f $TMP echo -en "\n\nLocating all network modules, please wait ..." - for i in $(find /lib/modules/$(uname -r)/net /lib/modules/$(uname -r)/kernel/drivers/net -type f -printf "%f\n"|grep -v -e mii.ko -e aironet4500_core.ko -e aironet4500_proc.ko -e arlan-proc.ko -e bonding.ko -e bsd_comp.ko -e dummy.ko -e eql.ko -e ethertap.ko -e plip.ko -e ppp -e slhc.ko -e slip.ko -e strip.ko|sed 's/\.ko$//'|sort|uniq) + for i in $(find /lib/modules/$(uname -r)/net /lib/modules/$(uname -r)/kernel/drivers/net /lib/modules/$(uname -r)/misc/vmxnet.ko -type f -printf "%f\n"|grep -v -e mii.ko -e aironet4500_core.ko -e aironet4500_proc.ko -e arlan-proc.ko -e bonding.ko -e bsd_comp.ko -e dummy.ko -e eql.ko -e ethertap.ko -e plip.ko -e ppp -e slhc.ko -e slip.ko -e strip.ko|sed 's/\.ko$//'|sort|uniq) do SEL="off" [ $i = "$MOD" ] && SEL="on" |
|
From: Bruce S. <bl...@us...> - 2008-04-10 14:58:03
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv28565/scripts Modified Files: mysql Log Message: Put old line back in file commented out, so we can switch back easily. Index: mysql =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/mysql,v retrieving revision 1.24 retrieving revision 1.25 diff -u -d -r1.24 -r1.25 --- mysql 10 Apr 2008 14:00:51 -0000 1.24 +++ mysql 10 Apr 2008 14:57:41 -0000 1.25 @@ -56,6 +56,7 @@ rm $TMPDIR/usr/lib/*.la || exit 1 copy_docs $TMPDIR rm -rf $TMPDIR/usr/mysql-test || exit 1 + # cp $TMPDIR/usr/share/mysql/my-small.cnf $ETCDIR/etc/my.cnf || exit 1 sed 's/^\[mysqld\] *$/&\nuser\t\t= mysql/' $TMPDIR/usr/share/mysql/my-small.cnf > $ETCDIR/etc/my.cnf || exit 1 mkdir -p $CDDIR copy_files $TMPDIR/usr $CDDIR || exit 1 |
|
From: Bruce S. <bl...@us...> - 2008-04-10 14:00:58
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv5853/scripts Modified Files: mysql Log Message: Add user to my.cnf Index: mysql =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/mysql,v retrieving revision 1.23 retrieving revision 1.24 diff -u -d -r1.23 -r1.24 --- mysql 27 Mar 2008 14:27:03 -0000 1.23 +++ mysql 10 Apr 2008 14:00:51 -0000 1.24 @@ -56,7 +56,7 @@ rm $TMPDIR/usr/lib/*.la || exit 1 copy_docs $TMPDIR rm -rf $TMPDIR/usr/mysql-test || exit 1 - cp $TMPDIR/usr/share/mysql/my-small.cnf $ETCDIR/etc/my.cnf || exit 1 + sed 's/^\[mysqld\] *$/&\nuser\t\t= mysql/' $TMPDIR/usr/share/mysql/my-small.cnf > $ETCDIR/etc/my.cnf || exit 1 mkdir -p $CDDIR copy_files $TMPDIR/usr $CDDIR || exit 1 rm -rf $TMPDIR || exit 1 |
|
From: Bruce S. <bl...@us...> - 2008-04-10 13:39:46
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv29072/scripts Modified Files: unionfs Log Message: How do I get the revision & stuff to work? Index: unionfs =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/unionfs,v retrieving revision 1.4 retrieving revision 1.5 diff -u -d -r1.4 -r1.5 --- unionfs 10 Apr 2008 13:37:38 -0000 1.4 +++ unionfs 10 Apr 2008 13:39:22 -0000 1.5 @@ -1,7 +1,7 @@ #!/bin/bash -# $Source: -# $Revision: -# $Date: +# $Source$ +# $Revision$ +# $Date$ # # http://www.devil-linux.org |
|
From: Bruce S. <bl...@us...> - 2008-04-10 13:37:49
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv28302/scripts Added Files: unionfs Log Message: Added unionfs docs to CD --- NEW FILE: unionfs --- #!/bin/bash # $Source: # $Revision: # $Date: # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: unionfs # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 2 # Default-Stop: # Description: copy unionfs docs to CD ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in install ) if [ "$CONFIG_UNIONFS" = "y" ]; then cp -dpR $KERNELDIR/Documentation/filesystems/unionfs $DOCDIR || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Bruce S. <bl...@us...> - 2008-04-10 13:37:43
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv28302 Modified Files: CHANGES Log Message: Added unionfs docs to CD Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1194 retrieving revision 1.1195 diff -u -d -r1.1194 -r1.1195 --- CHANGES 10 Apr 2008 00:34:25 -0000 1.1194 +++ CHANGES 10 Apr 2008 13:37:38 -0000 1.1195 @@ -22,6 +22,7 @@ # 1.3.4 +- added unionfs documentation to CD (bs) - updated mysql to 5.0.51a - updated nagios to -3.0.1 - updated nagios to plugins-1.4.11 |
|
From: Heiko Z. <smi...@us...> - 2008-04-10 00:34:31
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv15406 Modified Files: CHANGES md5sum.lst Log Message: - updated mysql to 5.0.51a - updated nagios to -3.0.1 - updated nagios to plugins-1.4.11 - updated nrpe to 2.12 - updated nsca to 2.7.2 - updated openldap to 2.4.8 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1193 retrieving revision 1.1194 diff -u -d -r1.1193 -r1.1194 --- CHANGES 9 Apr 2008 12:55:11 -0000 1.1193 +++ CHANGES 10 Apr 2008 00:34:25 -0000 1.1194 @@ -22,6 +22,12 @@ # 1.3.4 +- updated mysql to 5.0.51a +- updated nagios to -3.0.1 +- updated nagios to plugins-1.4.11 +- updated nrpe to 2.12 +- updated nsca to 2.7.2 +- updated openldap to 2.4.8 - fixed vmware to start before network on boot (bs) - updated unionfs to 2.3.2 (sl) - updated shorewall packages to 4.0.10 (sl) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.427 retrieving revision 1.428 diff -u -d -r1.427 -r1.428 --- md5sum.lst 4 Apr 2008 09:03:23 -0000 1.427 +++ md5sum.lst 10 Apr 2008 00:34:25 -0000 1.428 @@ -364,9 +364,9 @@ 8508a3ea9b612a926f3ed0f229e6c21a src/mtools-3.9.11.tar.bz2 d771061f8da96b80ecca2f69a3a2d594 src/mtr-0.72.tar.gz 6f8c59cc214dbffd555085b1db7272c1 src/mxser.tgz -a2a1c5a82bb22b45ab76a8ecab94e10d src/mysql-5.0.45.tar.gz -a032edba07bf389b803ce817e9406c02 src/nagios-2.6.tar.gz -359afddaf6a8e3228a5130b60bed0f67 src/nagios-plugins-1.4.5.tar.gz +a83dbdbb91267daf73d2297a9c283dd1 src/mysql-5.0.51a.tar.gz +4c3b353bfa94b49a616924cf3f910734 src/nagios-3.0.1.tar.gz +042783a2180a6987e0b403870b3d01f7 src/nagios-plugins-1.4.11.tar.gz e9a43273c3592724081a2b9194a5ab56 src/nail-11.10.tar.bz2 f2b3efbf1cf356d736740d531b6b22c4 src/nano-1.2.5.tar.gz eb70e92ceed4a490fb8324eb9dc2d349 src/nasm-0.99.06.tar.bz2 @@ -384,8 +384,8 @@ 76ee9274c2b867839427eba91b327f03 src/nfs-utils-1.1.2.tar.gz 6201551054050c11182fd6dd91682cb1 src/nmap-4.60.tar.bz2 c011fc1595dd125443df2d357958c85f src/noip_updater_linux_v1.4.tar.gz -5df3fae4682fa6b8b393568fd9f3c88d src/nrpe-2.6.tar.gz -6683862394e91039033283071c8bf1f4 src/nsca-2.7.tar.gz +b2d75e2962f1e3151ef58794d60c9e97 src/nrpe-2.12.tar.gz +33a98e7975f633a9489d7a8938ed6131 src/nsca-2.7.2.tar.gz ef29690c6e5f02dffbfd0f32f296a97b src/nss_ldap.tgz a0e52a85587c8a5519d822d04862dab4 src/ntop-3.3.tar.gz fcb32a01e1ae3f9ed5bac86b12c7a1cc src/ntp-4.2.4p4.tar.gz @@ -396,7 +396,7 @@ d7043ba34b5038f0113b099ede0884fb src/openh323-v1_18_0-src.tar.gz e1dd82f54cffad3d76da9e712dc58c48 src/openl2tp-0.19_ppp_unix.c.patch.bz2 93f9db9c5e91e340c1adc28c1e590851 src/openl2tp-1.1.tar.gz -f83b0f2b62f6a06dc1ca83a1f0426efd src/openldap-2.3.38.tgz +5ef2ea680479e0cee13fdf64a4ef548a src/openldap-2.4.8.tgz 1f1dfaa775f33dd3328169de9bdc292a src/openssh-5.0p1.tar.gz 8d7deea5f6d84fef90d1e256990ef048 src/openssl-0.9.8b-sha.diff.bz2 bf768bc75cfb7e1774d314a2bd953f6d src/openssl-0.9.8e-engine.diff.bz2 |